hie-bios-0.12.0: Set up a GHC API session

Safe Haskell | Safe-Inferred
Language | Haskell2010

HIE.Bios.Ghc.Check

Synopsis

- checkSyntax :: Show a => LogAction IO (WithSeverity Log) -> LogAction IO (WithSeverity Log) -> Cradle a -> [FilePath] -> IO String
- check :: GhcMonad m => LogAction IO (WithSeverity Log) -> [FilePath] -> m (Either String String)

# Documentation

checkSyntax #

Arguments

:: Show a |
=> LogAction IO (WithSeverity Log) |
-> LogAction IO (WithSeverity Log) |
-> Cradle a |
-> [FilePath] | The target files.
-> IO String |

Checking syntax of a target file using GHC. Warnings and errors are returned.

check #

Arguments

:: GhcMonad m |
=> LogAction IO (WithSeverity Log) |
-> [FilePath] | The target files.
-> m (Either String String) |

Checking syntax of a target file using GHC. Warnings and errors are returned.